Package org.eclipse.emf.cdo.server.net4j

## Class FailoverMonitor.ClientProtocol

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.lifecycle.Lifecycle
    - - org.eclipse.spi.net4j.Protocol<INFRA_STRUCTURE>
      - - org.eclipse.net4j.signal.SignalProtocol<java.lang.Object>
        - - org.eclipse.emf.cdo.server.net4j.FailoverMonitor.ClientProtocol

- All Implemented Interfaces:
    `org.eclipse.net4j.buffer.IBufferHandler`, `org.eclipse.net4j.ILocationAware`, `org.eclipse.net4j.protocol.IProtocol<java.lang.Object>`, `org.eclipse.net4j.protocol.IProtocol2<java.lang.Object>`, `org.eclipse.net4j.signal.ISignalProtocol<java.lang.Object>`, `org.eclipse.net4j.util.concurrent.IExecutorServiceProvider`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`, `org.eclipse.net4j.util.security.IUserAware`
  Enclosing class:
    FailoverMonitor

      public static class FailoverMonitor.ClientProtocol
      extends org.eclipse.net4j.signal.SignalProtocol<java.lang.Object>

  The monitor-side implementation of the `fail-over monitor` client protocol.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FailoverMonitor.ClientProtocol.Factory` | Creates `fail-over client protocol` instances.

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.signal.SignalProtocol

      `org.eclipse.net4j.signal.SignalProtocol.InvalidSignalIDException, org.eclipse.net4j.signal.SignalProtocol.TimeoutChangedEvent`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.ILocationAware

      `org.eclipse.net4j.ILocationAware.Location`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PROTOCOL_NAME` |
    `static short` | `SIGNAL_QUERY_REPOSITORY_INFO` |

    - ### Fields inherited from class org.eclipse.net4j.signal.SignalProtocol

      `COMPRESSED_STRINGS_ACKNOWLEDGE_TIMEOUT, SIGNAL_ACKNOWLEDGE_COMPRESSED_STRINGS, SIGNAL_MONITOR_CANCELED, SIGNAL_MONITOR_PROGRESS, SIGNAL_REMOTE_EXCEPTION, SIGNAL_SET_TIMEOUT`

    - ### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `USE_LABEL`

    - ### Fields inherited from interface org.eclipse.net4j.protocol.IProtocol2

      `UNSPECIFIED_VERSION`

    - ### Fields inherited from interface org.eclipse.net4j.signal.ISignalProtocol

      `DEFAULT_TIMEOUT, NO_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientProtocol​(FailoverMonitor.Provider failOverMonitorProvider)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.eclipse.net4j.signal.SignalReactor` | `createSignalReactor​(short signalID)` |

    - ### Methods inherited from class org.eclipse.net4j.signal.SignalProtocol

      `addStreamWrapper, close, doBeforeDeactivate, doDeactivate, getStreamWrapper, getStringCompressor, getTimeout, handleBuffer, handleChannelDeactivation, isSendingTimeoutChanges, open, provideSignalReactor, setStreamWrapper, setTimeout, setTimeout, toString, waitForSignals`

    - ### Methods inherited from class org.eclipse.spi.net4j.Protocol

      `doBeforeActivate, getBufferProvider, getChannel, getExecutorService, getInfraStructure, getLocation, getType, getUserID, getVersion, isClient, isServer, setChannel, setExecutorService, setInfraStructure, setUserID`

    - ### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

      `activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doActivate, doAfterActivate, dump, getLifecycleState, isActive, isDeferredActivation`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.ILocationAware

      `getLocation, isClient, isServer`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.protocol.IProtocol

      `getBufferProvider, getChannel, getExecutorService, getInfraStructure, getType, setChannel, setExecutorService, setInfraStructure`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

- - ### Field Detail

    - #### PROTOCOL_NAME

          public static final java.lang.String PROTOCOL_NAME

      See Also:
        Constant Field Values

    - #### SIGNAL_QUERY_REPOSITORY_INFO

          public static final short SIGNAL_QUERY_REPOSITORY_INFO

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClientProtocol

          public ClientProtocol​(FailoverMonitor.Provider failOverMonitorProvider)

  - ### Method Detail

    - #### createSignalReactor

          protected org.eclipse.net4j.signal.SignalReactor createSignalReactor​(short signalID)

      Overrides:
        `createSignalReactor` in class `org.eclipse.net4j.signal.SignalProtocol<java.lang.Object>`